# Class DrbgParameters.NextBytes

java.lang.Object
java.security.DrbgParameters.NextBytes

All Implemented Interfaces:
  `SecureRandomParameters`

Enclosing class:
  `DrbgParameters`

public static final class DrbgParameters.NextBytes extends Object implements SecureRandomParameters
DRBG parameters for random bits generation. It is used in `SecureRandom.nextBytes(byte[], SecureRandomParameters)`.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getAdditionalInput()`
Returns the requested additional input.
`boolean`
`getPredictionResistance()`
Returns whether prediction resistance is requested.
`int`
`getStrength()`
Returns the security strength requested in bits.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Method Details

### getStrength

public int getStrength()
Returns the security strength requested in bits.

Returns:
  the strength requested, or -1 if the effective strength should be used.

### getPredictionResistance

public boolean getPredictionResistance()
Returns whether prediction resistance is requested.

Returns:
  whether prediction resistance is requested

### getAdditionalInput

public byte[] getAdditionalInput()
Returns the requested additional input.

Returns:
  the requested additional input, `null` if not requested. A new byte array is returned each time this method is called.